<?php

use App\Domain\Categories\Models\PropertyType;
use App\Domain\Classifiers\Enums\MetricsCategory;
use App\Domain\Classifiers\Enums\ProductType;

return [
    // Типы атрибутов
    PropertyType::class => [
        PropertyType::STRING->value => 'Строка',
        PropertyType::TEXT->value => 'Текст',
        PropertyType::BOOLEAN->value => 'Флажок',
        PropertyType::INTEGER->value => 'Целое число',
        PropertyType::DOUBLE->value => 'Вещественное число',
        PropertyType::DATETIME->value => 'Дата, время',
        PropertyType::IMAGE->value => 'Изображение',
        PropertyType::FILE->value => 'Файл',
        PropertyType::COLOR->value => 'Цвет',
    ],

    ProductType::class => [
        ProductType::PIECE->value => 'Штучный',
        ProductType::WEIGHT->value => 'Весовой',
        ProductType::PACKED->value => 'Фасованный',
    ],

    MetricsCategory::class => [
        MetricsCategory::MASTER->value => 'Мастер-данные',
        MetricsCategory::ATTRIBUTES->value => 'Атрибуты',
        MetricsCategory::CONTENT->value => 'Контент и медиа',
    ],
];
